Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.admin
Class LinkBuilder.LinkInfo

    java.lang.Object
      |
      +--com.bea.p13n.content.admin.LinkBuilder.LinkInfo

public static class LinkBuilder.LinkInfo
extends java.lang.Object
implements java.lang.Cloneable

A data structure to store the link information.

Field Summary
`java.lang.String` | `imageHeight` The preferred height of the image (null for none).
`java.lang.String` | `imageText` The alternate text of the link image (null for none).
`java.lang.String` | `imageUrl` The url of the link image (null for none).
`java.lang.String` | `imageWidth` The preferred width of the image (null for none).
`java.lang.String` | `target` The target of the link (null for none).
`java.lang.String` | `text` The text of the link (should not be null).
`java.lang.String` | `url` The url (should not be null).

Constructor Summary
`LinkBuilder.LinkInfo()`

Method Summary
`java.lang.Object` | `clone()` Implement a public clone method.
`java.lang.String` | `toString()` Get a string representation of this for debug purposes.
`void` | `varSubstitute(VariableFinder vars)` Do a replacement on this object using the specified variables.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### url

    public java.lang.String url

  The url (should not be null).

### text

    public java.lang.String text

  The text of the link (should not be null).

### target

    public java.lang.String target

  The target of the link (null for none).

### imageUrl

    public java.lang.String imageUrl

  The url of the link image (null for none).

### imageText

    public java.lang.String imageText

  The alternate text of the link image (null for none).

### imageWidth

    public java.lang.String imageWidth

  The preferred width of the image (null for none).

### imageHeight

    public java.lang.String imageHeight

  The preferred height of the image (null for none).

Constructor Detail

### LinkBuilder.LinkInfo

    public LinkBuilder.LinkInfo()

Method Detail

### toString

    public java.lang.String toString()

  Get a string representation of this for debug purposes.

  Overrides:
    toString in class java.lang.Object

### varSubstitute

    public void varSubstitute(VariableFinder vars)

  Do a replacement on this object using the specified variables.

### clone

    public java.lang.Object clone()

  Implement a public clone method.

  Overrides:
    clone in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved